 // Stepper motor interfacing with PIC12F1822
 // Written by: BENCHEROUDA Okba
 // electronnote@gmail.com
 // http://elecnote.blogspot.com/
 
 // Stepper motor module connections
 sbit Stepper_pin1 at RA0_bit;
 sbit Stepper_pin2 at RA1_bit;
 sbit Stepper_pin3 at RA2_bit;
 sbit Stepper_pin4 at RA4_bit;
 sbit Stepper_pin1_Direction at TRISA0_bit;
 sbit Stepper_pin2_Direction at TRISA1_bit;
 sbit Stepper_pin3_Direction at TRISA2_bit;
 sbit Stepper_pin4_Direction at TRISA4_bit;
 // End stepper motor module connections

 void main(){
   OSCCON = 0x70; // Internal oscillator @ 8MHz
   ANSELA = 0;    // All pins are configured as digital
   ADCON0 = 0;    // Disable ADC module
   TRISA = 0;     // All port A pins are outputs
   LATA = 0;     // Initial value of port A bits
   Stepper_Init(20);    // Initialize stepper motor(20 steps/revoltion)
   stepper_speed(200);   // Set stepper motor speed to 200 rpm
   while (1) {                      // Endless loop
     Stepper_Step(160) ;  // Turn motor 160 steps in 1st direction (8 revolutions)
     delay_ms(500);
     Stepper_Step(-160) ; // Turn motor 160 steps in 2st direction (8 revolutions)
     delay_ms(500);
     }
   }